Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005264 [JEDI VCL] 00 JVCL Components major always 2010-06-14 18:30 2011-09-21 14:10
Reporter nehtek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005264: Error in Data Received by jvHidController in Delphi 2010 compared to correct data received in Delphi 7
Description There is a difference in the received data between delphi 7 and Delphi 2010.
I connected a Griffin PowerMate Knob and checked the data received in the SimpleHIDWrite example compiled first in Delphi7 and then Delphi2010; as you can see from the two screenshots I have attached; the data is not interpreted correctly.
Additional Information
Tags No tags attached.
Attached Files jpg file icon Screenshots.jpg [^] (93,872 bytes) 2010-06-14 18:30

- Relationships
related to 0005259resolvedobones jvHidDeviceController HID devices don't work in delphi 2010 

-  Notes
(0017517)
obones (administrator)
2010-06-28 13:28

I believe this is the demo not working properly.
At line 154 of the DevReader file, replace PChar with PAnsiChar and you should be sorter
(0018048)
obones (administrator)
2010-11-09 14:39

Can you tell me if the fixed proposed in my note fixed the situation?
(0018563)
jit (reporter)
2011-06-01 15:25

I tried this with Delphi 2010. Problem is in devreader.pas, procedure TMainForm.ShowRead

PChar must be replaced with PAnsiChar in this line:

  for I := 0 to Size - 1 do
    Str := Str + Format('%.2x ', [Cardinal(PAnsiChar(Data)[I])]);
(0018602)
obones (administrator)
2011-06-07 17:43

Fix pending inclusion in SVN
(0018675)
obones (administrator)
2011-06-08 15:25

This was already in SVN

- Issue History
Date Modified Username Field Change
2010-06-14 18:30 nehtek New Issue
2010-06-14 18:30 nehtek File Added: Screenshots.jpg
2010-06-28 13:28 obones Note Added: 0017517
2010-06-28 13:28 obones Status new => feedback
2010-10-08 15:56 obones Relationship added related to 0005259
2010-11-09 14:39 obones Note Added: 0018048
2011-06-01 15:25 jit Note Added: 0018563
2011-06-07 17:43 obones Note Added: 0018602
2011-06-07 17:43 obones Status feedback => confirmed
2011-06-08 15:25 obones Note Added: 0018675
2011-06-08 15:25 obones Status confirmed => resolved
2011-06-08 15:25 obones Fixed in Version => Daily / SVN
2011-06-08 15:25 obones Resolution open => fixed
2011-06-08 15:25 obones Assigned To => obones
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker